import { h } from 'preact';
import { Icon } from './icon';
import cn from 'classnames';

export const CheckMark = ({ className, name, label, isComplete, onClick }) => h(
  'label',
  {
    htmlFor: name,
    className: cn('flex items-center mb2', className),
    'data-e2e': 'checkMark'
  },
  h('input', {
    onClick: () => onClick(name),
    className: 'checkbox o-0',
    id: name,
    checked: isComplete,
    type: 'checkbox'
  }),
  isComplete && h(Icon, { className: 'light-blue', size: '40', icon: 'check_box' }),
  !isComplete && h(Icon, { size: '40', icon: 'check_box_outline_blank' }),
  h(
    'span',
    { className: 'ml2' },
    label || name
  )
);