var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import { h } from 'preact';
import cn from 'classnames';
import omit from './utils/omit';
import Pill from './pill-icon';

const customIcons = {
  pill: Pill
};

export const Icon = props => {
  const { icon, size, className, style } = props;
  const rest = omit(props, ['icon', 'size', 'className']);
  const px = `${size || 24}px`;
  const styles = Object.assign({}, style, {
    fontSize: px,
    width: px,
    height: px
  });
  const Custom = customIcons[icon];
  return h(
    'i',
    _extends({}, rest, {
      style: styles,
      className: cn('dib', { 'material-icons': !Custom }, className)
    }),
    Custom ? h(Custom, null) : icon
  );
};